;; This file:
;;   http://anggtwu.net/elisp/2024dec09-fristed.el.html
;;   http://anggtwu.net/elisp/2024dec09-fristed.el
;;          (find-angg "elisp/2024dec09-fristed.el")
;; Author: fristed
;;
;; (defun e () (interactive) (find-angg "elisp/2024dec09-fristed.el"))

(defun my/sly-mrepl-on-connection ()
  "should be identical to sly-mrepl-on-connection but pass a no-op
as a buffer switch function to #'sly-mrepl"
  (let* ((inferior-buffer
          (and (sly-process) (process-buffer (sly-process))))
         (inferior-window
          (and inferior-buffer (get-buffer-window inferior-buffer t))))
    (let ((sly-mrepl-pop-sylvester
           (or (eq sly-mrepl-pop-sylvester 'on-connection)
               sly-mrepl-pop-sylvester)))

      (let ((mrepl-buffer
             (save-window-excursion
               ;; no buffer switch function
               (sly-mrepl (lambda (buffer) nil)))))
        (with-current-buffer mrepl-buffer
          (goto-char (point-max))))

      (when inferior-window
        (bury-buffer inferior-buffer)
        (delete-window inferior-window)))))


(advice-add 'sly-mrepl-on-connection :override 'my/sly-mrepl-on-connection)

